Class Index | File Index

## Classes

- _global_
- comb
- comb.array
- comb.characters
- comb.collections
- comb.collections.AnderssonTree
- comb.collections.AVLTree
- comb.collections.BinaryTree
- comb.collections.Collection
- comb.collections.HashTable
- comb.collections.Heap
- comb.collections.Iterable
- comb.collections.MaxHeap
- comb.collections.MinHeap
- comb.collections.Pool
- comb.collections.PriorityQueue
- comb.collections.Queue
- comb.collections.RedBlackTree
- comb.collections.Stack
- comb.collections.Tree
- comb.date
- comb.logging
- comb.logging.appenders
- comb.logging.appenders.Appender
- comb.logging.appenders.ConsoleAppender
- comb.logging.appenders.FileAppender
- comb.logging.appenders.JSONAppender
- comb.logging.appenders.RollingFileAppender
- comb.logging.BasicConfigurator
- comb.logging.Level
- comb.logging.Logger
- comb.logging.PropertyConfigurator
- comb.number
- comb.plugins
- comb.plugins.Broadcaster
- comb.plugins.Middleware
- comb.Promise
- comb.PromiseList
- comb.regexp
- comb.string

# Class comb.logging.appenders.Appender

Base class for all appenders
Defined in: appender.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| comb.logging.appenders.Appender(options)

Field Summary
Field Attributes | Field Name and Description
--- | ---
| level the level of this Appender.
| name the name of this Appender.
| pattern the pattern for this Appender.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| append(event, level, name, message) Appends a message to a log.

Class Detail
comb.logging.appenders.Appender(options)

Parameters:
{Object} options Optional
  options to assign to this Appender
{String} options.name Optional, Default: "appender"
  the name of this Appender. If you want two of the same type of appender on a logger it must have a different name.
{String} options.pattern Optional, Default: "[{[yyyy-MM-ddTHH:mm:ss:SSS (z)]timeStamp}] {[- 5]levelName} {[-20]name} - {message}"

  Available Options for formatting see comb.string.format for formatting options

  - timeStamp - the timestamp of the event being logged
  - level - the comb.logging.Level of the event
  - levelName - the name of the level being logged
  - name - the name of the logger logging the event
  - message - the message being logged
{comb.logging.Level|String} options.level Optional, Default: comb.logging.Level.INFO
  the logging level of this appender

  Note: the level can be different from the logger in the case that you want a particular logger to only log particular event of a level. For example an appender that only logs errors. BEWARE that if the appenders level is lower than the logger is will not recieve any messages.

Field Detail
{comb.logging.Level} level
the level of this Appender.

{String} name
the name of this Appender.

{String} pattern
the pattern for this Appender.
Method Detail
append(event, level, name, message)
Appends a message to a log. This method is abstract and must be implemented in subclasses

Parameters:
{Object} event
  the logging event to log.
{Date} event.timeStamp
  the timeStamp of the event.
{comb.logging.Level} level
  the level of the event.
{String} name
  the name of the logger the event was emitted from.
{String} message
  the message that is being logged.

Documentation generated by JsDoc Toolkit 2.4.0 on Tue Oct 25 2011 13:20:07 GMT-0500 (CDT)